
moveAttacher = {};

function moveAttacher.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function moveAttacher:load(xmlFile)

	self.moveableAttacher = {};
	self.moveableAttacher.index = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.attacherJoint#index"));

	
end;

function moveAttacher:delete()
end;

function moveAttacher:mouseEvent(posX, posY, isDown, isUp, button)
end;

function moveAttacher:keyEvent(unicode, sym, modifier, isDown)

end;

function moveAttacher:update(dt)
				
end;

function moveAttacher:onLeave()

end;

function moveAttacher:draw()

end;

function moveAttacher:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

